<template>
  <div>
    <q-btn  style="margin-top:30px; margin-left: 9%" color="blue" icon="add" label="Tambah User" />

      <div>
        <div class="q-gutter-y-md" style="width: 85%; margin: auto" >
          <template>
            <div class="q-pa-md">
              <q-markup-table flat bordered>
                <thead class="bg-teal">
                <tr>
                  <th colspan="9">
                    <div class="row no-wrap items-center">
                      <div class="text-h4 q-ml-md text-white">Daftar User</div>
                    </div>
                  </th>
                </tr>
                <tr>
                  <th class="text-left">No</th>
                  <th class="">Email</th>
                  <th class="">Nama</th>
                  <th class="">Jenis User</th>
                  <th class="">Status</th>
                  <th class="">Level</th>
                  <th class="">Aksi</th>
                </tr>
                </thead>
                <tbody class="bg-grey-3">
                <tr>
                  <td class="">1.</td>
                  <td class="" style="text-align">tonystark@gmail.com</td>
                  <td class="">Tony Stark</td>
                  <td class="">Member</td>
                  <td class="">
                    <q-btn
                      style="width: 75px"
                      v-for="size in sizes" :key="`btn_size_rd_${size}`"
                      rounded
                      color="primary"
                      :size="size"
                      :label="`aktif`"
                    /></td>
                  <td class="" >
                  <q-btn
                      v-for="size in sizes" :key="`btn_size_rd_${size}`"
                      rounded
                      color="primary"
                      :size="size"
                      :label="`silver`"
                    /></td>
                  <td class="">     <q-btn
                    style="width: 85px"
                    padding="3px"
                    color="primary"
                    label="aktif"
                  />
                    <q-btn
                      style="margin-left: 5px; width: 85px"
                      padding="3px"
                      color="primary"
                      label="edit role"
                    /></td>
                </tr>
                <tr>
                  <td class="">2.</td>
                  <td class="">blackwidow@yahoo.com</td>
                  <td class="">Nathasa Romanov</td>
                  <td class="">Admin</td>
                  <td class="">
                    <q-btn
                      v-for="size in sizes" :key="`btn_size_rd_${size}`"
                      rounded
                      color="primary"
                      :size="size"
                      :label="`non aktif`"
                    /></td>
                  <td class="" >
                  </td>
                  <td class="">     <q-btn
                    style="width: 85px"
                    padding="3px"
                    color="primary"
                    label="non aktif"
                  />
                    <q-btn
                      style="margin-left: 5px; width: 85px"
                      padding="3px"
                      color="primary"
                      label="edit role"
                    /></td>
                </tr>
                <tr>
                  <td class="">3.</td>
                  <td class="">balckphanter@yahoo.com</td>
                  <td class="">Prince Tchala</td>
                  <td class="">Member</td>
                  <td class="">
                    <q-btn
                      style="width: 75px"
                      v-for="size in sizes" :key="`btn_size_rd_${size}`"
                      rounded
                      color="primary"
                      :size="size"
                      :label="`aktif`"
                    /></td>
                  <td class="" >
                  <q-btn
                      v-for="size in sizes" :key="`btn_size_rd_${size}`"
                      rounded
                      color="primary"
                      :size="size"
                      :label="`silver`"
                    /></td>
                  <td class="">     <q-btn
                    style="width: 85px"
                    padding="3px"
                    color="primary"
                    label="aktif"
                  />
                    <q-btn
                      style="margin-left: 5px; width: 85px"
                      padding="3px"
                      color="primary"
                      label="edit role"
                    /></td>
                </tr>
                </tbody>
              </q-markup-table>
            </div>
          </template>

        <p>&nbsp;</p>
      </div>
    </div>

  </div>

</template>

<script>

export default {
  data () {
    return {
      sizes: [ 'xs' ],
      icons: [
        'navigation',
        'add_a_photo',
        'camera',
        'camera_front',
        'my_location'
      ]
    }
  }
}

</script>

<style lang="sass">
.my-sticky-header-table
  /* height or max-height is important */
  height: 310px

  .q-table__top,
  .q-table__bottom,
  thead tr:first-child th
    /* bg color is important for th; just specify one */
    background-color: #c1f4cd

  thead tr th
    position: sticky
    z-index: 1
  thead tr:first-child th
    top: 0

  /* this is when the loading indicator appears */
  &.q-table--loading thead tr:last-child th
    /* height of all previous header rows */
    top: 48px
</style>
